package com.dcsoft.system.ladder.service;

import com.dcsoft.system.ladder.domain.DevicePositionVo;
import com.dcsoft.system.ladder.domain.DeviceTreeVo;
import com.dcsoft.system.ladder.domain.TLadderRule;

import java.util.List;

/**
 * 梯控规则Service接口
 *
 * @author dcsoft
 * @date 2023-12-26
 */
public interface ITLadderRuleService {
    /**
     * 查询梯控规则
     *
     * @param id 梯控规则主键
     * @return 梯控规则
     */
    public TLadderRule selectTLadderRuleById(String id);

    /**
     * 查询梯控规则列表
     *
     * @param tLadderRule 梯控规则
     * @return 梯控规则集合
     */
    public List<TLadderRule> selectTLadderRuleList(TLadderRule tLadderRule);

    /**
     * 新增梯控规则
     *
     * @param tLadderRule 梯控规则
     * @return 结果
     */
    public int insertTLadderRule(TLadderRule tLadderRule);

    /**
     * 修改梯控规则
     *
     * @param tLadderRule 梯控规则
     * @return 结果
     */
    public int updateTLadderRule(TLadderRule tLadderRule);

    /**
     * 批量删除梯控规则
     *
     * @param ids 需要删除的梯控规则主键集合
     * @return 结果
     */
    public int deleteTLadderRuleByIds(String[] ids);

    /**
     * 删除梯控规则信息
     *
     * @param id 梯控规则主键
     * @return 结果
     */
    public int deleteTLadderRuleById(Long id);

    /**
     * 查询设备位置信息
     */
    List<DeviceTreeVo> queryDevicePositionTree();
}
